Show / Hide Table of Contents

# AsyncResetTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncResetTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncResetTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetResetAsyncHandler() |
GetResetAsyncHandler(CancellationToken) |
ResetAsync() |
ResetAsync(CancellationToken) |

### Methods

#### GetResetAsyncHandler()

    public IAsyncResetHandler GetResetAsyncHandler()

##### Returns

IAsyncResetHandler

#### GetResetAsyncHandler(CancellationToken)

    public IAsyncResetHandler GetResetAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncResetHandler

#### ResetAsync()

    public UniTask ResetAsync()

##### Returns

UniTask

#### ResetAsync(CancellationToken)

    public UniTask ResetAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>